
%global meadversion 3.3.1
%global namedversion 3.3.1.redhat-9
%global meadalpha .redhat_9
%global meadrel .1
%global serial 8
%global namedversionrel redhat-9

%bcond_without mead

%define maven_version 3.3.1.redhat-9

Name:           objectweb-asm-eap6
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        ASM
License:        BSD
Group:          Development/Java

%if %with mead
Source100: asm-project-3.3.1.redhat-9-scm-sources.zip
Source102: asm-project-3.3.1.redhat-9-project-sources.tar.gz
Source103: asm-project-3.3.1.redhat-9.pom
Source104: asm-3.3.1.redhat-9.pom
Source105: asm-3.3.1.redhat-9.jar
Source106: asm-debug-all-3.3.1.redhat-9.jar
Source107: asm-debug-all-3.3.1.redhat-9.pom
Source108: asm-debug-all-3.3.1.redhat-9-javadoc.jar
Source109: asm-debug-all-3.3.1.redhat-9-sources.jar
Source110: asm-util-3.3.1.redhat-9.jar
Source111: asm-util-3.3.1.redhat-9.pom
Source112: asm-xml-3.3.1.redhat-9.jar
Source113: asm-xml-3.3.1.redhat-9.pom
Source114: asm-commons-3.3.1.redhat-9.jar
Source115: asm-commons-3.3.1.redhat-9.pom
Source116: asm-all-3.3.1.redhat-9-javadoc.jar
Source117: asm-all-3.3.1.redhat-9.pom
Source118: asm-all-3.3.1.redhat-9-sources.jar
Source119: asm-all-3.3.1.redhat-9.jar
Source120: asm-parent-3.3.1.redhat-9.pom
Source121: asm-tree-3.3.1.redhat-9.jar
Source122: asm-tree-3.3.1.redhat-9.pom
Source123: asm-analysis-3.3.1.redhat-9.jar
Source124: asm-analysis-3.3.1.redhat-9.pom
%endif

URL:            http://asm.objectweb.org/
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
BuildArch:      noarch
BuildRoot:      %{_tmppath}/objectweb-asm-eap6-%{namedversion}-%{release}-root

%description
A very small and fast Java bytecode manipulation framework.

%prep
%setup -q -n asm -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}/%{name}
%{__cp} -p %{_sourcedir}/asm-all-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}/asm-all-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/asm-all-%{namedversion}-sources.jar %{buildroot}%{_javadir}/%{name}/asm-all-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/asm-analysis-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}/asm-analysis-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/asm-commons-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}/asm-commons-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/asm-debug-all-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}/asm-debug-all-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/asm-debug-all-%{namedversion}-sources.jar %{buildroot}%{_javadir}/%{name}/asm-debug-all-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/asm-tree-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}/asm-tree-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/asm-util-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}/asm-util-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/asm-xml-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}/asm-xml-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/asm-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}/asm-%{namedversion}.jar
(cd %{buildroot}%{_javadir}/%{name} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc LICENSE.txt README.txt
%dir %{_javadir}/%{name}
%{_javadir}/%{name}/asm-all-%{namedversion}.jar
%{_javadir}/%{name}/asm-all.jar
%{_javadir}/%{name}/asm-all-%{namedversion}-sources.jar
%{_javadir}/%{name}/asm-all-sources.jar
%{_javadir}/%{name}/asm-analysis-%{namedversion}.jar
%{_javadir}/%{name}/asm-analysis.jar
%{_javadir}/%{name}/asm-commons-%{namedversion}.jar
%{_javadir}/%{name}/asm-commons.jar
%{_javadir}/%{name}/asm-debug-all-%{namedversion}.jar
%{_javadir}/%{name}/asm-debug-all.jar
%{_javadir}/%{name}/asm-debug-all-%{namedversion}-sources.jar
%{_javadir}/%{name}/asm-debug-all-sources.jar
%{_javadir}/%{name}/asm-tree-%{namedversion}.jar
%{_javadir}/%{name}/asm-tree.jar
%{_javadir}/%{name}/asm-util-%{namedversion}.jar
%{_javadir}/%{name}/asm-util.jar
%{_javadir}/%{name}/asm-xml-%{namedversion}.jar
%{_javadir}/%{name}/asm-xml.jar
%{_javadir}/%{name}/asm-%{namedversion}.jar
%{_javadir}/%{name}/asm.jar

%changelog
* Thu Oct 02 2014 David Walluck <dwalluck@redhat.com> - 3.3.1-8.redhat_9.1
- rebuild for target 1.6

* Mon Sep 22 2014 David Walluck <dwalluck@redhat.com> - 3.3.1-7.redhat_7.1
- build with mvn

* Fri Sep 19 2014 David Walluck <dwalluck@redhat.com> 0:3.3.1-7.redhat_6.1
- release
